List customers
Customers in the register with number, name, currency and payment terms.
GET https://cotlet.dev/api/v1/e-conomic/customers
read
Returns customers in customer-number order, with currency, customer group, payment terms and VAT zone. Filter by name to find a match before creating a new one. Large registers come in pages; pass the cursor for the next page.
Parameters
| Name | Type | Description |
|---|---|---|
| name string | string | Only customers whose name contains this text. |
| limit integer | integer | 1 to 100. Default: 50. |
| cursor string | string | Next page cursor from the previous call. |
Request
curl https://cotlet.dev/api/v1/e-conomic/customers \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("e-conomic", "list_customers") const result = await cotlet.call('e-conomic', 'list_customers'); cotlet call e-conomic list_customers Example response
{
"customers": [
{
"customer_number": 14,
"name": "Nordlys ApS",
"currency": "DKK",
"payment_terms_number": 2,
"vat_zone_number": 1,
"email": "ap@nordlys.example"
},
{
"customer_number": 15,
"name": "Havn Design",
"currency": "DKK",
"payment_terms_number": 2,
"vat_zone_number": 1,
"email": "faktura@havn.example"
}
],
"next_cursor": null
}